<ui:fragment xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://xmlns.jcp.org/jsf/html"
             xmlns:f="http://xmlns.jcp.org/jsf/core"
             xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
             xmlns:p="http://primefaces.org/ui">

    <div id="menu-bar" class="menu-bar">
        <p:menubar styleClass="gzl-nav-bar">
            <p:menuitem value="Creator" outcome="/hl7creator.xhtml" icon="pi pi-fw pi-forward"/>
            <p:menuitem value="Manager" outcome="/hl7manager.xhtml" icon="pi pi-fw pi-fast-forward"/>
            <p:menuitem rendered="#{getPrincipal.loggedIn}" value="Configuration SUT" outcome="/configuration-sut.xhtml"
                        icon="pi pi-fw pi-sliders-h"/>
            <p:menuitem rendered="#{getPrincipal.loggedIn and getPrincipal.admin}" value="Templates" outcome="/template.xhtml"
                        icon="pi pi-fw pi-file-o"/>
            <p:menuitem rendered="#{getPrincipal.loggedIn and getPrincipal.admin}" icon="pi pi-fw pi-cog" value="Preference"
                        outcome="/preference.xhtml" />
            <!-- CAS -->
            <p:menuitem rendered="#{not getPrincipal.loggedIn}" value="Login"
                        url="/hl7v2-simulators/cas/login"
                        containerStyle="float:right"/>
            <p:submenu rendered="#{getPrincipal.loggedIn}"
                       label="#{getPrincipal.firstname} #{getPrincipal.lastname}"
                       style="float:right;color:#495057">

                <p:menuitem icon="pi pi-fw pi-sign-in" value="Logout"
                            url="/hl7v2-simulators/cas/logout"
                            style="color:#495057"/>
            </p:submenu>
        </p:menubar>

    </div>
    <div id="menu-burger" class="menu-burger">
        <div class="card">
            <h:form>
                <p:panelMenu>
                    <p:submenu label="" icon="pi pi-fw pi-logout">
                        <p:menuitem value="Creator" outcome="/hl7creator.xhtml" icon="pi pi-fw pi-forward">
                            <f:param name="i" value="0"/>
                        </p:menuitem>
                        <p:menuitem value="Manager" outcome="/hl7manager.xhtml" icon="pi pi-fw pi-fast-forward">
                            <f:param name="i" value="1"/>
                        </p:menuitem>
                        <p:menuitem value="Configuration SUT" rendered="#{getPrincipal.loggedIn}" outcome="/configuration-sut.xhtml"
                                    icon="pi pi-fw pi-sliders-h">
                            <f:param name="i" value="2"/>
                        </p:menuitem>
                        <p:menuitem value="Préférence" rendered="#{getPrincipal.loggedIn and getPrincipal.admin}"  outcome="/preference.xhtml" icon="pi pi-fw pi-cog">
                            <f:param name="i" value="3"/>
                        </p:menuitem>
                        <p:menuitem rendered="#{not getPrincipal.loggedIn}" value="Login"
                                    url="/hl7v2-simulators/cas/login"
                                    icon="pi pi-fw pi-sign-in" containerStyle="float:left"/>
                        <p:submenu rendered="#{getPrincipal.loggedIn}"
                                   label="#{getPrincipal.firstname} #{getPrincipal.lastname}">
                            <p:menuitem rendered="#{getPrincipal.admin}" icon="pi Fpi-fw pi-cog" value="Préférence"
                                        outcome="/preference.xhtml" style="color:#495057"/>
                            <p:menuitem icon="pi pi-fw pi-sign-in" value="Logout"
                                        url="/hl7v2-simulators/cas/logout"
                                        style="color:#495057"/>
                        </p:submenu>
                    </p:submenu>
                </p:panelMenu>

            </h:form>
        </div>

    </div>

</ui:fragment>
